org.keycloak.exportimport.zip

## Class ZipExportProvider

- java.lang.Object
- - org.keycloak.exportimport.util.MultipleStepsExportProvider
  - - org.keycloak.exportimport.zip.ZipExportProvider

- All Implemented Interfaces:
    ExportProvider, Provider

      public class ZipExportProvider
      extends MultipleStepsExportProvider

  Author:
    Marek Posolda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.exportimport.util.MultipleStepsExportProvider

      `MultipleStepsExportProvider.RealmsHolder, MultipleStepsExportProvider.UsersHolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipExportProvider(File zipFile, String password)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected void` | `writeRealm(String fileName, RealmRepresentation rep)`
    `protected void` | `writeUsers(String fileName, KeycloakSession session, RealmModel realm, List<UserModel> users)`
    `protected void` | `writeVersion(String fileName, Version version)`

    - ### Methods inherited from class org.keycloak.exportimport.util.MultipleStepsExportProvider

      `exportModel, exportRealm, exportRealmImpl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipExportProvider

          public ZipExportProvider(File zipFile,
                           String password)

  - ### Method Detail

    - #### writeRealm

          protected void writeRealm(String fileName,
                        RealmRepresentation rep)
                             throws IOException

      Specified by:
        `writeRealm` in class `MultipleStepsExportProvider`
      Throws:
        `IOException`

    - #### writeUsers

          protected void writeUsers(String fileName,
                        KeycloakSession session,
                        RealmModel realm,
                        List<UserModel> users)
                             throws IOException

      Specified by:
        `writeUsers` in class `MultipleStepsExportProvider`
      Throws:
        `IOException`

    - #### writeVersion

          protected void writeVersion(String fileName,
                          Version version)
                               throws IOException

      Specified by:
        `writeVersion` in class `MultipleStepsExportProvider`
      Throws:
        `IOException`

    - #### close

          public void close()

Copyright © 2014. All Rights Reserved.